Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Interface CustomWorkflowAction

    public interface CustomWorkflowAction

Interface that must be implemented by all classes that will be executed by a Custom Action.

Since:
  6.1

Field Summary
`static java.util.Date` | `DATE_EXECUTE_NOW` Date constant to return in getExecuteDate if the custom workflow action is due to execute immediately.

Method Summary
`CustomWorkflowActionResult` | `execute(Document document)` Execute the action against the supplied document.
`java.util.Date` | `getExecuteDate(Document document)` Get the Date that this action should execute.

Field Detail

### DATE_EXECUTE_NOW

    static final java.util.Date DATE_EXECUTE_NOW

  Date constant to return in getExecuteDate if the custom workflow action is due to execute immediately.

Method Detail

### getExecuteDate

    java.util.Date getExecuteDate(Document document)

  Get the Date that this action should execute. This method is always called prior to running the execute method.

  Parameters:
    `document` - Target document. Custom code must not modify the document in this method.
  Returns:
    Execute date. If date is in the past, the action will be executed immediately. Use the DATE_EXECUTE_NOW constant to execute immediately. If the date is in the future, the action will be scheduled for this date. The returned execute date must be the same when run on any server where the action is syndicated. If the execute date is different, the scheduled action will run at different times on different servers.

### execute

    CustomWorkflowActionResult execute(Document document)

  Execute the action against the supplied document. Changes to the document will be saved if the result does not indicate a failure. Changes to the document will be ignored if the result indicates a failure.

  Parameters:
    `document` - Target document. Custom code must not save or delete this document inside the execute method. Custom code must not call any workflow methods against this document inside the execute method. Use the approriate return code to trigger a workflow action.
  Returns:
    Result providing access to the outcome of the action and a message. Special result codes can be used to trigger workflow actions against the target document. Returning null will be treated as a failure result.
  Throws:
    `java.lang.Throwable` - Any throwable that is thrown by this method will be treated as a failure result.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD